import {Schema} from 'mongoose';
import { baseDB } from '../../db/dbInit';

const fuHuaQiTaskSchema = new Schema({
    key:{type:String, index:true},//任务标识  格式为:YYYYMM
    type: {type:Number,index: true},//任务类型
    fuHuaQiUscc:String,//任务所属孵化器id
    createTime:Number,//提交时间
    relevanceId:String,//任务关联的表 financing 或 enterprise 的id
    occupancyRate:Number//出租率
});

var fuHuaQiTaskModel;
export function initModel(){
    fuHuaQiTaskModel = baseDB.model('fuHuaQiTask', fuHuaQiTaskSchema);
}

export async function findFuHuaQiTaskByKeyAndUscc(uscc:string, key:string) {
    let result = await fuHuaQiTaskModel.find({uscc, key}).exec();
    return result;
}